## WebKitURIResponse WebKitURIResponse — Represents a URI response |

## Functions

const gchar * | webkit_uri_response_get_uri ()
guint | webkit_uri_response_get_status_code ()
guint64 | webkit_uri_response_get_content_length ()
const gchar * | webkit_uri_response_get_mime_type ()
const gchar * | webkit_uri_response_get_suggested_filename ()

## Properties

guint64 | content-length | Read
gchar * | mime-type | Read
guint | status-code | Read
gchar * | suggested-filename | Read
gchar * | uri | Read

## Types and Values

struct | WebKitURIResponse

## Object Hierarchy

        GObject
        ╰── WebKitURIResponse

## Description

A WebKitURIResponse contains information such as the URI, the status code, the content length, the mime type, the HTTP status or the suggested filename.

## Functions

### webkit_uri_response_get_uri ()

    const gchar *
    webkit_uri_response_get_uri (WebKitURIResponse *response);

#### Parameters

response | a WebKitURIResponse |

#### Returns

the uri of the WebKitURIResponse

### webkit_uri_response_get_status_code ()

    guint
    webkit_uri_response_get_status_code (WebKitURIResponse *response);

Get the status code of the WebKitURIResponse as returned by the server. It will normally be a SoupKnownStatusCode, for example `SOUP_STATUS_OK`, though the server can respond with any unsigned integer.

#### Parameters

response | a WebKitURIResponse |

#### Returns

the status code of `response`

### webkit_uri_response_get_content_length ()

    guint64
    webkit_uri_response_get_content_length
                                   (WebKitURIResponse *response);

Get the expected content length of the WebKitURIResponse. It can be 0 if the server provided an incorrect or missing Content-Length.

#### Parameters

response | a WebKitURIResponse |

#### Returns

the expected content length of `response` .

### webkit_uri_response_get_mime_type ()

    const gchar *
    webkit_uri_response_get_mime_type (WebKitURIResponse *response);

#### Parameters

response | a WebKitURIResponse |

#### Returns

the MIME type of the WebKitURIResponse

### webkit_uri_response_get_suggested_filename ()

    const gchar *
    webkit_uri_response_get_suggested_filename
                                   (WebKitURIResponse *response);

Get the suggested filename for `response` , as specified by the 'Content-Disposition' HTTP header, or `NULL` if it's not present.

#### Parameters

response | a WebKitURIResponse |

#### Returns

the suggested filename or `NULL` if the 'Content-Disposition' HTTP header is not present.

[transfer none]

## Types and Values

### struct WebKitURIResponse

    struct WebKitURIResponse;

## Property Details

### The `“content-length”` property

      “content-length”           guint64

The expected content length of the response.

Flags: Read

Default value: 0

### The `“mime-type”` property

      “mime-type”                gchar *

The MIME type of the response.

Flags: Read

Default value: NULL

### The `“status-code”` property

      “status-code”              guint

The status code of the response as returned by the server.

Flags: Read

Default value: 0

### The `“suggested-filename”` property

      “suggested-filename”       gchar *

The suggested filename for the URI response.

Flags: Read

Default value: NULL

### The `“uri”` property

      “uri”                      gchar *

The URI for which the response was made.

Flags: Read

Default value: NULL